/*******************************************************************************
	Copyright (C) 2013 John Chapman

	This software is distributed freely under the terms of the MIT License.
	See "license.txt" or "http://copyfree.org/licenses/mit/license.txt".
*******************************************************************************/
#version 130

in vec2 vTexcoord;
out vec4 fResult;

uniform float uExp;
uniform float uScale;
uniform sampler2D uInputTex;

void main()
{
	fResult = pow(texture(uInputTex, vTexcoord), vec4(uExp)) * uScale;
}
