#version 120

attribute vec4 position;

uniform mat4 uWorld;
uniform mat4 uWorldViewProj;
uniform mat4 uTexViewProj;

varying vec3 vPosition_;
varying vec4 vUV;

void main()
{
	gl_Position = uWorldViewProj * position;
	vec4 wPos = uWorld * position;
	vPosition_ = wPos.xyz;
	vUV = uTexViewProj * wPos;
}