#version 120

uniform mat4 worldViewProj;

varying vec2 vTexcoord;

void main()                    
{
	gl_Position = worldViewProj * gl_Vertex;
	
	vec2 inPos = sign(gl_Vertex.xy);
	
	vTexcoord = (vec2(inPos.x, -inPos.y) + 1.0)/2.0;
}

