#version 130

uniform mat4 worldViewProj;

in vec4 vertex;
out vec2 vTexcoord;

void main()                    
{
	gl_Position = worldViewProj * vertex;
	vec2 inPos = sign(vertex.xy);
	vTexcoord = (vec2(inPos.x, -inPos.y) + 1.0)/2.0;
}

