#version 120

uniform vec3    uLightPosition;
uniform float     uLightFarClipDistance;

varying vec3 vPosition_;

void main()
{
    float depth = clamp( length(vPosition_-uLightPosition) / uLightFarClipDistance,0.0,1.0);
	gl_FragColor = vec4(depth, depth, depth, 1);
}
