#version 120

attribute vec4 position;

uniform mat4 uWorld;
uniform mat4 uWorldViewProj;

varying vec3 vPosition_;

void main()
{
	gl_Position = uWorldViewProj * position;
	vec4 wPos = uWorld * position;
	vPosition_ = wPos.xyz;
}
